
#define LCD_DB4   PIN_A3
#define LCD_DB5   PIN_A4
#define LCD_DB6   PIN_A5
#define LCD_DB7   PIN_E0

#define LCD_RS   PIN_A0   
#define LCD_RW   PIN_A1
#define LCD_E    PIN_A2


#define GREEN_LED PIN_A6
#define RED_LED   PIN_A7


void send_nibble(int8 nibble)
{

 output_bit(PIN_A3, ((nibble & 1)));
 output_bit(PIN_A4, ((nibble & 2) >> 1)); 
 output_bit(PIN_A5, ((nibble & 4) >> 2));   
 output_bit(PIN_E0, ((nibble & 8) >> 3));   

 delay_ms(delay_val);
 output_bit(LCD_E, 1);
 delay_ms(delay_val);
 output_bit(LCD_E, 0);
 delay_ms(delay_val);
}



void lcd_send_byte(int8 n)
{

send_nibble(n >> 4);
send_nibble(n & 0xf);
}


void lcd_send_nibble(int8 n)
{
   send_nibble(n >> 4);
}

